
! The utm_ERA program calculates the Reanalysis UTM coordinates
! with a time zone of 30. 

SUBROUTINE utm_ERA(ic,nlat,nlon,slat,slon,rlat,rlon,x,y)

USE MOD_CSTS
USE MOD_FUNCS

      Implicit none

      INTEGER, INTENT(IN) :: ic

      INTEGER, INTENT(IN) :: nlat
      INTEGER, INTENT(IN) :: nlon
      REAL, INTENT(IN) :: slat
      REAL, INTENT(IN) :: slon
      REAL, INTENT(IN) :: rlat
      REAL, INTENT(IN) :: rlon
      REAL, INTENT(OUT) :: x(ic) 
      REAL, INTENT(OUT) :: y(ic)

      integer j
      integer igrad,imin,rseg,igrad1,imin1
      real rseg1
      real rlt(ic),rln(ic)
      real*8 r1,r2,r3,r4,r5,r6,rad,rad1,xint,yint
!      character pathout*100
      
!      pathout=pathasoc
      print*,"Programa4: rejilla Reanalisis"

!    Calculamos las coordenadas geograficas de los ${ic} puntos

      do j=1,ic
       rlt(j)=slat+(((j-1)/nlon)*rlat)
       rln(j)=slon+((mod(j-1,nlon)+1-1)*rlon)
      enddo

!    Calculamos las UTM

!      open(2,file=trim(pathout)//'coor_utm-malla_${ic}-erain15-penbar')
!      open(2,file=trim(pathout)//'coor_utm-malla-era5')

      do j=1,ic
       rad1=rln(j)
       rad=rlt(j)

       call geoutm(rad1,rad,huso,xint,yint)
       
       x(j)=xint
       y(j)=yint

!       write(2,11) j,x,y
      enddo

!      write(2,*)
!      write(2,12) nint(huso)
!      close(2)
!
! 11    format(i5,2x,2(1x,f9.0))
! 12    format('HUSO ',i3)
!  
END SUBROUTINE utm_ERA
