
! Program to calculate the geostrophic wind based on mean
! sea level pressure (msl) and sea level density

SUBROUTINE geos(ic,nd,id,slat,slon,slats,slons,rlat,&
                rlon,rlats,rlons,nlat,nlon,nlats,nlons,den,um,vm)

!ccccccccccccccccccccccccccccccccccccccccccccccccccccccc
!ccccccccccccccccccccccccccccccccccccccccccccccccccccccc

USE MOD_CSTS
USE MOD_FUNCS, ONLY : geostrofico,dobla,bessel      
   
      Implicit none 

      INTEGER, INTENT(IN) :: nd
      INTEGER, INTENT(IN) :: ic
      INTEGER, INTENT(IN) :: id

      INTEGER, INTENT(IN) :: nlat
      INTEGER, INTENT(IN) :: nlon
      INTEGER, INTENT(IN) :: nlats
      INTEGER, INTENT(IN) :: nlons
      REAL, INTENT(IN) :: slat
      REAL, INTENT(IN) :: slon
      REAL, INTENT(IN) :: slats
      REAL, INTENT(IN) :: slons
      REAL, INTENT(IN) :: rlat
      REAL, INTENT(IN) :: rlon
      REAL, INTENT(IN) :: rlats
      REAL, INTENT(IN) :: rlons
      REAL, INTENT(IN) :: den(nd,ic)
      REAL, INTENT(OUT) :: um(nd,ic)
      REAL, INTENT(OUT) :: vm(nd,ic)

      integer anno,mes,dia,i,j
!      INTEGER recl_dens,recl_psl
!      real psl(id),umint(ic),vmint(ic),den(ic)
      real psl(id),umint(ic),vmint(ic)
!      character path*100,pathout*100
      character path*100
!      character for10*50,for11*50,for12*50
      character for10*50

      path=pathLR
!      pathout=pathgeos

      print*,"programa2:geos"
      print*,'pathLR=',pathLR
!      print*,'pathout=',pathout

      write(for10,'(a,i05,a)') '(7x,i4,1x,i2,1x,i2,3x,',id,&
     '(f5.0,1x))'
!      write(for11,'(a,i05,a)') '(i4,1x,i2,1x,i2,3x,',ic,&
!     '(f12.4))'
!      write(for12,'(a,i05,a)') '(20x,',ic,'(f6.3,1x))'

!      recl_dens=20+(ic*7) ! for12
!      recl_psl=13+(ic*12) ! for11
!      print*,'recl_dens=',recl_dens
!      print*,'recl_psl=',recl_psl
!      stop

! Input files
      open(3,file=trim(path)//'msl.dat')
!      open(4,file='dens-sl',recl=recl_dens) 
! Output files
!      open(1,file=trim(pathout)//'ug-psl-penin',recl=recl_psl)
!      open(2,file=trim(pathout)//'vg-psl-penin',recl=recl_psl)
!      open(1,file=trim(pathout)//'ug-psl-penin')
!      open(2,file=trim(pathout)//'vg-psl-penin')

      do 1000 i=1,nd

       print*,i

!      Read pressure and density data
       read(3,for10) anno,mes,dia,(psl(j),j=1,id)
!       read(4,for12)(den(j),j=1,ic)
       psl=psl*100./g

!      Calculate the geostrophic wind components (umint,vmint)
       call geostrofico(psl,umint,vmint,id,ic,slat,slon,slats,slons,&
                   rlat,rlon,rlats,rlons,nlat,nlon,nlats,nlons)

!       do j=1,ic
!        um(i,j)=umint(j)/den(i,j)
!        vm(i,j)=vmint(j)/den(i,j)
!       enddo
!        if(i.ge.1.and.i.le.5) then
!        print*,"den(1,1)=",den(i,1)
!        print*,"iteracion ",i,"um con cucle = ",um(i,1),um(i,2),um(i,3),um(i,4)
!        endif

        um(i,:)=umint(:)/den(i,:)
        vm(i,:)=vmint(:)/den(i,:)

!       write(1,for11) anno,mes,dia,(um(j),j=1,ic)
!       write(2,for11) anno,mes,dia,(vm(j),j=1,ic)

 1000 continue
!      close(2)
!      close(1)
!      close(4)
      close(3)

END SUBROUTINE geos

