!     !!!!!!!!!!!!!!!
      MODULE MOD_CSTS
!     !!!!!!!!!!!!!!!
!*       0.   DECLARATIONS
!             ------------
!
IMPLICIT NONE

CHARACTER(LEN=100),SAVE :: pathSI="/lustre/utmp/cle/train/datosAscii_SI/"
CHARACTER(LEN=100),SAVE :: pathLR="/lustre/utmp/cle/train/datosAscii_LR/"
CHARACTER(LEN=100),SAVE :: pathSI_estim="datosAscii_SI_estim/"
CHARACTER(LEN=100),SAVE :: pathLR_estim="datosAscii_LR_estim/"
CHARACTER(LEN=100),SAVE :: pathsig="/lustre/utmp/cle/train/pred_sig/"
!***********************************************
! CONSTANTS   
!***********************************************
! 
CHARACTER(LEN=5),SAVE :: mt="aemet"
INTEGER,SAVE :: nanx=155
INTEGER,SAVE :: nvar_p=11 ! total number of predictors for precipitation
INTEGER,SAVE :: nvar_t=9 ! total number of predictors for temperature
INTEGER,SAVE :: nps=8 ! number of predictors from the reference grid point of the model
INTEGER,SAVE :: npx=11
REAL,SAVE :: umb=0.75
REAL,SAVE :: umbl=0.75
INTEGER,SAVE :: nmin=10
INTEGER,SAVE :: nmax=30
REAL,SAVE :: ccmi=0.30
!-----------------------------------------------
REAL,SAVE :: r=287.05
REAL,SAVE :: a=0.0065
REAL,SAVE :: g=9.81
REAL,SAVE :: rt=6.37e6
REAL,SAVE :: pi=3.14159265
REAL,SAVE :: romega=7.292E-5
!-----------------------------------------------
INTEGER,SAVE :: umb_ger=10000
!-----------------------------------------------
REAL*8,SAVE :: huso=30.
!-----------------------------------------------
REAL,SAVE :: tol=0.020
!
!***********************************************
! DOMAIN (ERAINterim 1.5ºx1.5º)
!************************************************
!------------------------------------------------
! neni: number of boundary grid-points
INTEGER,SAVE :: neni=48 ! ERAInt solo pto mas cercano
!INTEGER,SAVE :: neni=74 ! ERAInt con intp 4 ptos
!INTEGER,SAVE :: neni=1728 ! ERA5 solo pto mas cercano
!INTEGER,SAVE :: neni=2664 ! ERA5 con intp 4 ptos
!------------------------------------------------
! Limits (lat-lon) of strips to assign weights 
!
REAL,SAVE :: fnor1=45.0
REAL,SAVE :: fnor2=47.5
REAL,SAVE :: fsur1=35.0
REAL,SAVE :: fsur2=32.5
REAL,SAVE :: foes1=-12.5
REAL,SAVE :: foes2=-17.5
REAL,SAVE :: fest1=5.0
REAL,SAVE :: fest2=7.5
!------------------------------------------------
! ngridd=((2*nlat)-1)*((2*nlon)-1) (LR grid)
INTEGER,SAVE :: ngridd=14076 ! ERAInterim
!INTEGER,SAVE :: ngridd=104025 !ERA5
!************************************************
!------------------------------------------------
! High resolution (5km x 5km) observed AEMET grid
!
! For precipitation: the variable is multiplied to 10, to
! obtain it in decimes of mm, as the program requaire.
INTEGER, PARAMETER :: nptos=20945 ! number of point where make the estimations
! analizar los parametros siguientes (Stand by)
INTEGER,SAVE :: icl=24
INTEGER,SAVE :: ipui=99
INTEGER,SAVE :: ila=4
INTEGER,SAVE :: ilo=6

END MODULE MOD_CSTS

