!     !!!!!!!!!!!!!!!
      PROGRAM training
!     !!!!!!!!!!!!!!!
!*       0.   DECLARATIONS
!             ------------
!

USE MOD_CSTS
USE MOD_FUNCS

IMPLICIT NONE

CHARACTER(LEN=100),SAVE :: obspath="/lustre/utmp/cle/REJ5/"

!***********************************************
! DOMAIN (ERAInt 1.5ºx1.5º)
!************************************************
!
! sinoptic grid: 540 grid-points (18 latitudes and 30 longitudes)
INTEGER, PARAMETER :: ic=540
INTEGER, PARAMETER :: nlat=18
INTEGER, PARAMETER :: nlon=30
!
!-----------------------------------------------
! low resolution grid: 925 grid-points (25 latitudes and 37 
! longitudes)
INTEGER, PARAMETER :: id=925
INTEGER, PARAMETER :: nlatt=25
INTEGER, PARAMETER :: nlont=37
!
!------------------------------------------------
REAL, PARAMETER :: slat=55.5
REAL, PARAMETER :: slon=-28.5
REAL, PARAMETER :: rlat=-1.5
REAL, PARAMETER :: rlon=1.5
!------------------------------------------------
REAL, PARAMETER :: slatt=63
REAL, PARAMETER :: slont=-36
!------------------------------------------------
! TIME
! nd: number of training days
! nm: number of estimated days
! f.i, nm = 36600 -> regionalization of 100 years daily data 
INTEGER, PARAMETER :: nd=5844
!INTEGER,SAVE :: nd=20
!INTEGER,SAVE :: nm=7305
!INTEGER, PARAMETER :: nd=200
INTEGER, PARAMETER :: nm=7305
!------------------------------------------------
!Num iter
INTEGER :: nger
!------------------------------------------------
REAL :: den(nd,ic)
!------------------------------------------------
REAL :: um(nd,ic)
REAL :: vm(nd,ic)
!------------------------------------------------
REAL :: gu92(nd,ic)
REAL :: gv92(nd,ic)
REAL :: gu52(nd,ic)
REAL :: gv52(nd,ic)
!------------------------------------------------
REAL :: x(ic)
REAL :: y(ic)
!------------------------------------------------
REAL :: xcand(nptos)
REAL :: ycand(nptos)
!------------------------------------------------
INTEGER :: iri(nptos)
!------------------------------------------------
REAL :: dmin(nptos)
!------------------------------------------------

call calc_tempes_densi_sealev(ic,nd,den)
call geos(ic,nd,id,slatt,slont,slat,slon,rlat,&
                rlon,rlat,rlon,nlatt,nlont,nlat,nlon,den,um,vm)
call clasif(ic,nd,nlon,nlat,slat,slon,rlat,rlon,um,vm,nger,&
            gu92,gv92,gu52,gv52)
call utm_ERA(ic,nlat,nlon,slat,slon,rlat,rlon,x,y)
call utm_obs(obspath,xcand,ycand)
call ptos_ref(ic,x,y,xcand,ycand,iri,dmin)
call sig_predic(nlat,nlon,nlatt,nlont,slat,slon,rlat,rlon,slatt, &
                      slont,nd,ic,id,obspath,nger,&
                      um,vm,gu92,gv92,gu52,gv52,iri)
stop
END

